#!/usr/bin/perl -w

# Print statistical quantities of the MIR and AMB strategies' score against all
# their opponents in all runs.
# Usage: ./pointstat.pl comp1points

use strict;

my @mirpoints;
my @ambpoints;

my $ngames= 0;

while( <> )
{
  next if /^#/;
  /\s+(\d+)\s+(\d+)\s*$/ or die "Unexpected format of line: $_";
  push @mirpoints, $1;
  push @ambpoints, $2;
  ++$ngames;
}

@mirpoints= sort { $a <=> $b } @mirpoints;
@ambpoints= sort { $a <=> $b } @ambpoints;

my $nbins= 50;
my $mirmin= 0;  # $mirpoints[0];
my $mirbinsz= 20;  # ($mirpoints[$ngames-1]+1-$mirpoints[0])/$nbins;
my $ambmin= 0;  # $ambpoints[0];
my $ambbinsz= 20;  # ($ambpoints[$ngames-1]+1-$ambpoints[0])/$nbins;
my @mirhisto= (0) x $nbins;
my @ambhisto= (0) x $nbins;
map { ++$mirhisto[int(($_-$mirmin)/$mirbinsz)]; } @mirpoints;
map { ++$ambhisto[int(($_-$ambmin)/$ambbinsz)]; } @ambpoints;
print "# MIR's scores\n";
my $centre= $mirmin+$mirbinsz/2;
map { print $centre, "\t\t", $_ || 0, "\n"; $centre += $mirbinsz; } @mirhisto;
print "\n\n# AMB's scores\n";
$centre= $ambmin+$ambbinsz/2;
map { print $centre, "\t\t", $_ || 0, "\n"; $centre += $ambbinsz; } @ambhisto;


